Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/EngineAlgorithmView.Designer.cs	(revision 5832)
@@ -67,5 +67,7 @@
       this.tabControl.Controls.Add(this.operatorGraphTabPage);
       this.tabControl.Controls.Add(this.engineTabPage);
-      this.tabControl.Size = new System.Drawing.Size(713, 467);
+      this.tabControl.Location = new System.Drawing.Point(0, 26);
+      this.tabControl.Size = new System.Drawing.Size(713, 493);
+      this.tabControl.TabIndex = 3;
       this.tabControl.Controls.SetChildIndex(this.engineTabPage, 0);
       this.tabControl.Controls.SetChildIndex(this.operatorGraphTabPage, 0);
@@ -77,17 +79,17 @@
       // parametersTabPage
       // 
-      this.parametersTabPage.Size = new System.Drawing.Size(705, 441);
+      this.parametersTabPage.Size = new System.Drawing.Size(705, 467);
       // 
       // problemTabPage
       // 
-      this.problemTabPage.Size = new System.Drawing.Size(705, 441);
+      this.problemTabPage.Size = new System.Drawing.Size(705, 467);
       // 
       // parameterCollectionView
       // 
-      this.parameterCollectionView.Size = new System.Drawing.Size(693, 429);
+      this.parameterCollectionView.Size = new System.Drawing.Size(693, 455);
       // 
       // problemViewHost
       // 
-      this.problemViewHost.Size = new System.Drawing.Size(693, 399);
+      this.problemViewHost.Size = new System.Drawing.Size(693, 425);
       // 
       // newProblemButton
@@ -102,4 +104,5 @@
       // 
       this.startButton.Location = new System.Drawing.Point(0, 525);
+      this.startButton.TabIndex = 4;
       this.toolTip.SetToolTip(this.startButton, "Start/Resume Algorithm");
       // 
@@ -107,4 +110,5 @@
       // 
       this.pauseButton.Location = new System.Drawing.Point(30, 525);
+      this.pauseButton.TabIndex = 5;
       this.toolTip.SetToolTip(this.pauseButton, "Pause Algorithm");
       // 
@@ -112,4 +116,5 @@
       // 
       this.resetButton.Location = new System.Drawing.Point(90, 525);
+      this.resetButton.TabIndex = 7;
       this.toolTip.SetToolTip(this.resetButton, "Reset Algorithm");
       // 
@@ -117,33 +122,37 @@
       // 
       this.executionTimeLabel.Location = new System.Drawing.Point(487, 532);
+      this.executionTimeLabel.TabIndex = 8;
       // 
       // executionTimeTextBox
       // 
       this.executionTimeTextBox.Location = new System.Drawing.Point(576, 529);
+      this.executionTimeTextBox.TabIndex = 9;
       // 
       // resultsTabPage
       // 
-      this.resultsTabPage.Size = new System.Drawing.Size(705, 441);
+      this.resultsTabPage.Size = new System.Drawing.Size(705, 467);
       // 
       // resultsView
       // 
-      this.resultsView.Size = new System.Drawing.Size(693, 429);
+      this.resultsView.Size = new System.Drawing.Size(693, 455);
       // 
       // stopButton
       // 
       this.stopButton.Location = new System.Drawing.Point(60, 525);
+      this.stopButton.TabIndex = 6;
       this.toolTip.SetToolTip(this.stopButton, "Stop Algorithm");
       // 
       // runsTabPage
       // 
-      this.runsTabPage.Size = new System.Drawing.Size(705, 441);
+      this.runsTabPage.Size = new System.Drawing.Size(705, 467);
       // 
       // runsView
       // 
-      this.runsView.Size = new System.Drawing.Size(693, 429);
+      this.runsView.Size = new System.Drawing.Size(693, 455);
       // 
       // storeAlgorithmInEachRunCheckBox
       // 
       this.storeAlgorithmInEachRunCheckBox.Location = new System.Drawing.Point(530, 6);
+      this.toolTip.SetToolTip(this.storeAlgorithmInEachRunCheckBox, "Check to store a copy of the algorithm in each run.");
       // 
       // nameTextBox
@@ -151,9 +160,10 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(641, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(641, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(60, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(628, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(694, 3);
       // 
       // engineLabel
@@ -186,5 +196,5 @@
       this.engineTabPage.Name = "engineTabPage";
       this.engineTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.engineTabPage.Size = new System.Drawing.Size(705, 441);
+      this.engineTabPage.Size = new System.Drawing.Size(705, 467);
       this.engineTabPage.TabIndex = 5;
       this.engineTabPage.Text = "Engine";
@@ -198,9 +208,11 @@
       this.engineViewHost.Caption = "View";
       this.engineViewHost.Content = null;
+      this.engineViewHost.Enabled = false;
       this.engineViewHost.Location = new System.Drawing.Point(6, 33);
       this.engineViewHost.Name = "engineViewHost";
       this.engineViewHost.ReadOnly = false;
-      this.engineViewHost.Size = new System.Drawing.Size(693, 402);
+      this.engineViewHost.Size = new System.Drawing.Size(693, 428);
       this.engineViewHost.TabIndex = 2;
+      this.engineViewHost.ViewsLabelVisible = true;
       this.engineViewHost.ViewType = null;
       // 
@@ -212,5 +224,5 @@
       this.operatorGraphTabPage.Location = new System.Drawing.Point(4, 22);
       this.operatorGraphTabPage.Name = "operatorGraphTabPage";
-      this.operatorGraphTabPage.Size = new System.Drawing.Size(705, 441);
+      this.operatorGraphTabPage.Size = new System.Drawing.Size(705, 467);
       this.operatorGraphTabPage.TabIndex = 4;
       this.operatorGraphTabPage.Text = "Operator Graph";
@@ -246,9 +258,11 @@
       this.operatorGraphViewHost.Caption = "View";
       this.operatorGraphViewHost.Content = null;
+      this.operatorGraphViewHost.Enabled = false;
       this.operatorGraphViewHost.Location = new System.Drawing.Point(3, 33);
       this.operatorGraphViewHost.Name = "operatorGraphViewHost";
       this.operatorGraphViewHost.ReadOnly = true;
-      this.operatorGraphViewHost.Size = new System.Drawing.Size(699, 405);
+      this.operatorGraphViewHost.Size = new System.Drawing.Size(699, 431);
       this.operatorGraphViewHost.TabIndex = 0;
+      this.operatorGraphViewHost.ViewsLabelVisible = true;
       this.operatorGraphViewHost.ViewType = null;
       // 
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.Designer.cs	(revision 5832)
@@ -45,9 +45,9 @@
     /// </summary>
     private void InitializeComponent() {
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(ExperimentView));
       this.tabControl = new HeuristicLab.MainForm.WindowsForms.DragOverTabControl();
       this.optimizersTabPage = new System.Windows.Forms.TabPage();
       this.optimizerListView = new HeuristicLab.Optimization.Views.OptimizerListView();
       this.runsTabPage = new System.Windows.Forms.TabPage();
+      this.runsViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       this.startButton = new System.Windows.Forms.Button();
       this.stopButton = new System.Windows.Forms.Button();
@@ -56,5 +56,4 @@
       this.executionTimeTextBox = new System.Windows.Forms.TextBox();
       this.pauseButton = new System.Windows.Forms.Button();
-      this.runsViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.tabControl.SuspendLayout();
@@ -67,12 +66,14 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(607, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(607, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(60, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(594, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(660, 3);
       // 
       // tabControl
       // 
+      this.tabControl.AllowDrop = true;
       this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
@@ -80,9 +81,9 @@
       this.tabControl.Controls.Add(this.optimizersTabPage);
       this.tabControl.Controls.Add(this.runsTabPage);
-      this.tabControl.Location = new System.Drawing.Point(0, 52);
+      this.tabControl.Location = new System.Drawing.Point(0, 26);
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(679, 400);
-      this.tabControl.TabIndex = 4;
+      this.tabControl.Size = new System.Drawing.Size(679, 426);
+      this.tabControl.TabIndex = 3;
       // 
       // optimizersTabPage
@@ -92,5 +93,5 @@
       this.optimizersTabPage.Name = "optimizersTabPage";
       this.optimizersTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.optimizersTabPage.Size = new System.Drawing.Size(671, 374);
+      this.optimizersTabPage.Size = new System.Drawing.Size(671, 400);
       this.optimizersTabPage.TabIndex = 1;
       this.optimizersTabPage.Text = "Optimizers";
@@ -102,8 +103,10 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.optimizerListView.Caption = "OptimizerList View";
       this.optimizerListView.Content = null;
       this.optimizerListView.Location = new System.Drawing.Point(6, 6);
       this.optimizerListView.Name = "optimizerListView";
-      this.optimizerListView.Size = new System.Drawing.Size(659, 362);
+      this.optimizerListView.ReadOnly = false;
+      this.optimizerListView.Size = new System.Drawing.Size(659, 388);
       this.optimizerListView.TabIndex = 0;
       // 
@@ -114,17 +117,33 @@
       this.runsTabPage.Name = "runsTabPage";
       this.runsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.runsTabPage.Size = new System.Drawing.Size(671, 374);
+      this.runsTabPage.Size = new System.Drawing.Size(671, 400);
       this.runsTabPage.TabIndex = 2;
       this.runsTabPage.Text = "Runs";
       this.runsTabPage.UseVisualStyleBackColor = true;
       // 
+      // runsViewHost
+      // 
+      this.runsViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.runsViewHost.Caption = "View";
+      this.runsViewHost.Content = null;
+      this.runsViewHost.Enabled = false;
+      this.runsViewHost.Location = new System.Drawing.Point(2, 6);
+      this.runsViewHost.Name = "runsViewHost";
+      this.runsViewHost.ReadOnly = false;
+      this.runsViewHost.Size = new System.Drawing.Size(663, 388);
+      this.runsViewHost.TabIndex = 0;
+      this.runsViewHost.ViewsLabelVisible = true;
+      this.runsViewHost.ViewType = null;
+      // 
       // startButton
       // 
       this.startButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.startButton.Image = Common.Resources.VSImageLibrary.Play;
+      this.startButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Play;
       this.startButton.Location = new System.Drawing.Point(0, 458);
       this.startButton.Name = "startButton";
       this.startButton.Size = new System.Drawing.Size(24, 24);
-      this.startButton.TabIndex = 5;
+      this.startButton.TabIndex = 4;
       this.toolTip.SetToolTip(this.startButton, "Start/Resume Experiment");
       this.startButton.UseVisualStyleBackColor = true;
@@ -134,9 +153,9 @@
       // 
       this.stopButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.stopButton.Image = Common.Resources.VSImageLibrary.Stop;
+      this.stopButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Stop;
       this.stopButton.Location = new System.Drawing.Point(60, 458);
       this.stopButton.Name = "stopButton";
       this.stopButton.Size = new System.Drawing.Size(24, 24);
-      this.stopButton.TabIndex = 7;
+      this.stopButton.TabIndex = 6;
       this.toolTip.SetToolTip(this.stopButton, "Stop Experiment");
       this.stopButton.UseVisualStyleBackColor = true;
@@ -146,9 +165,9 @@
       // 
       this.resetButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.resetButton.Image = Common.Resources.VSImageLibrary.Restart;
+      this.resetButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Restart;
       this.resetButton.Location = new System.Drawing.Point(90, 458);
       this.resetButton.Name = "resetButton";
       this.resetButton.Size = new System.Drawing.Size(24, 24);
-      this.resetButton.TabIndex = 8;
+      this.resetButton.TabIndex = 7;
       this.toolTip.SetToolTip(this.resetButton, "Reset Experiment");
       this.resetButton.UseVisualStyleBackColor = true;
@@ -162,5 +181,5 @@
       this.executionTimeLabel.Name = "executionTimeLabel";
       this.executionTimeLabel.Size = new System.Drawing.Size(83, 13);
-      this.executionTimeLabel.TabIndex = 9;
+      this.executionTimeLabel.TabIndex = 8;
       this.executionTimeLabel.Text = "&Execution Time:";
       // 
@@ -172,29 +191,17 @@
       this.executionTimeTextBox.ReadOnly = true;
       this.executionTimeTextBox.Size = new System.Drawing.Size(137, 20);
-      this.executionTimeTextBox.TabIndex = 10;
+      this.executionTimeTextBox.TabIndex = 9;
       // 
       // pauseButton
       // 
       this.pauseButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.pauseButton.Image = Common.Resources.VSImageLibrary.Pause;
+      this.pauseButton.Image = HeuristicLab.Common.Resources.VSImageLibrary.Pause;
       this.pauseButton.Location = new System.Drawing.Point(30, 458);
       this.pauseButton.Name = "pauseButton";
       this.pauseButton.Size = new System.Drawing.Size(24, 24);
-      this.pauseButton.TabIndex = 6;
+      this.pauseButton.TabIndex = 5;
       this.toolTip.SetToolTip(this.pauseButton, "Pause Experiment");
       this.pauseButton.UseVisualStyleBackColor = true;
       this.pauseButton.Click += new System.EventHandler(this.pauseButton_Click);
-      // 
-      // runsViewHost
-      // 
-      this.runsViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.runsViewHost.Content = null;
-      this.runsViewHost.Location = new System.Drawing.Point(2, 6);
-      this.runsViewHost.Name = "runsViewHost";
-      this.runsViewHost.Size = new System.Drawing.Size(663, 362);
-      this.runsViewHost.TabIndex = 0;
-      this.runsViewHost.ViewType = null;
       // 
       // ExperimentView
@@ -211,4 +218,5 @@
       this.Name = "ExperimentView";
       this.Size = new System.Drawing.Size(679, 482);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.resetButton, 0);
       this.Controls.SetChildIndex(this.stopButton, 0);
@@ -219,7 +227,5 @@
       this.Controls.SetChildIndex(this.tabControl, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       this.tabControl.ResumeLayout(false);
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/ExperimentView.cs	(revision 5832)
@@ -114,5 +114,5 @@
         Invoke(new EventHandler(Content_Prepared), sender, e);
       else {
-        nameTextBox.Enabled = descriptionTextBox.Enabled = true;
+        nameTextBox.Enabled = infoLabel.Enabled = true;
         ReadOnly = Locked = false;
         SetEnabledStateOfExecutableButtons();
@@ -123,5 +123,5 @@
         Invoke(new EventHandler(Content_Started), sender, e);
       else {
-        nameTextBox.Enabled = descriptionTextBox.Enabled = false;
+        nameTextBox.Enabled = infoLabel.Enabled = false;
         ReadOnly = Locked = true;
         SetEnabledStateOfExecutableButtons();
@@ -132,5 +132,5 @@
         Invoke(new EventHandler(Content_Paused), sender, e);
       else {
-        nameTextBox.Enabled = descriptionTextBox.Enabled = true;
+        nameTextBox.Enabled = infoLabel.Enabled = true;
         ReadOnly = Locked = false;
         SetEnabledStateOfExecutableButtons();
@@ -141,5 +141,5 @@
         Invoke(new EventHandler(Content_Stopped), sender, e);
       else {
-        nameTextBox.Enabled = descriptionTextBox.Enabled = true;
+        nameTextBox.Enabled = infoLabel.Enabled = true;
         ReadOnly = Locked = false;
         SetEnabledStateOfExecutableButtons();
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/ResultView.Designer.cs	(revision 5832)
@@ -59,17 +59,18 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(287, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(69, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(265, 20);
       // 
-      // descriptionTextBox
+      // infoLabel
       // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(287, 20);
+      this.infoLabel.Location = new System.Drawing.Point(340, 3);
       // 
       // dataTypeLabel
       // 
       this.dataTypeLabel.AutoSize = true;
-      this.dataTypeLabel.Location = new System.Drawing.Point(3, 55);
+      this.dataTypeLabel.Location = new System.Drawing.Point(3, 29);
       this.dataTypeLabel.Name = "dataTypeLabel";
       this.dataTypeLabel.Size = new System.Drawing.Size(60, 13);
-      this.dataTypeLabel.TabIndex = 4;
+      this.dataTypeLabel.TabIndex = 3;
       this.dataTypeLabel.Text = "Data &Type:";
       // 
@@ -78,9 +79,9 @@
       this.dataTypeTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.dataTypeTextBox.Location = new System.Drawing.Point(72, 52);
+      this.dataTypeTextBox.Location = new System.Drawing.Point(69, 26);
       this.dataTypeTextBox.Name = "dataTypeTextBox";
       this.dataTypeTextBox.ReadOnly = true;
-      this.dataTypeTextBox.Size = new System.Drawing.Size(287, 20);
-      this.dataTypeTextBox.TabIndex = 5;
+      this.dataTypeTextBox.Size = new System.Drawing.Size(290, 20);
+      this.dataTypeTextBox.TabIndex = 4;
       // 
       // valueGroupBox
@@ -90,8 +91,8 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.valueGroupBox.Controls.Add(this.valuePanel);
-      this.valueGroupBox.Location = new System.Drawing.Point(0, 78);
+      this.valueGroupBox.Location = new System.Drawing.Point(0, 52);
       this.valueGroupBox.Name = "valueGroupBox";
-      this.valueGroupBox.Size = new System.Drawing.Size(359, 196);
-      this.valueGroupBox.TabIndex = 7;
+      this.valueGroupBox.Size = new System.Drawing.Size(359, 222);
+      this.valueGroupBox.TabIndex = 5;
       this.valueGroupBox.TabStop = false;
       this.valueGroupBox.Text = "Value";
@@ -106,15 +107,19 @@
       this.valuePanel.Location = new System.Drawing.Point(6, 19);
       this.valuePanel.Name = "valuePanel";
-      this.valuePanel.Size = new System.Drawing.Size(347, 171);
+      this.valuePanel.Size = new System.Drawing.Size(347, 197);
       this.valuePanel.TabIndex = 2;
       // 
       // viewHost
       // 
+      this.viewHost.Caption = "View";
       this.viewHost.Content = null;
       this.viewHost.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.viewHost.Enabled = false;
       this.viewHost.Location = new System.Drawing.Point(0, 0);
       this.viewHost.Name = "viewHost";
-      this.viewHost.Size = new System.Drawing.Size(347, 171);
+      this.viewHost.ReadOnly = false;
+      this.viewHost.Size = new System.Drawing.Size(347, 197);
       this.viewHost.TabIndex = 0;
+      this.viewHost.ViewsLabelVisible = true;
       this.viewHost.ViewType = null;
       // 
@@ -128,8 +133,7 @@
       this.Name = "ResultView";
       this.Size = new System.Drawing.Size(359, 274);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.dataTypeTextBox, 0);
       this.Controls.SetChildIndex(this.dataTypeLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
Index: /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.Designer.cs	(revision 5831)
+++ /trunk/sources/HeuristicLab.Optimization.Views/3.3/RunView.Designer.cs	(revision 5832)
@@ -64,4 +64,5 @@
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.parametersResultsGroupBox.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
       this.splitContainer.Panel1.SuspendLayout();
       this.splitContainer.Panel2.SuspendLayout();
@@ -74,9 +75,10 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(423, 20);
-      // 
-      // descriptionTextBox
-      // 
-      this.descriptionTextBox.Size = new System.Drawing.Size(423, 20);
+      this.nameTextBox.Location = new System.Drawing.Point(56, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(414, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(476, 3);
       // 
       // parametersResultsGroupBox
@@ -86,8 +88,8 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.parametersResultsGroupBox.Controls.Add(this.splitContainer);
-      this.parametersResultsGroupBox.Location = new System.Drawing.Point(0, 82);
+      this.parametersResultsGroupBox.Location = new System.Drawing.Point(0, 56);
       this.parametersResultsGroupBox.Name = "parametersResultsGroupBox";
-      this.parametersResultsGroupBox.Size = new System.Drawing.Size(495, 242);
-      this.parametersResultsGroupBox.TabIndex = 8;
+      this.parametersResultsGroupBox.Size = new System.Drawing.Size(495, 268);
+      this.parametersResultsGroupBox.TabIndex = 6;
       this.parametersResultsGroupBox.TabStop = false;
       this.parametersResultsGroupBox.Text = "Parameters && Results";
@@ -106,5 +108,5 @@
       // 
       this.splitContainer.Panel2.Controls.Add(this.detailsGroupBox);
-      this.splitContainer.Size = new System.Drawing.Size(489, 223);
+      this.splitContainer.Size = new System.Drawing.Size(489, 249);
       this.splitContainer.SplitterDistance = 177;
       this.splitContainer.TabIndex = 0;
@@ -131,5 +133,5 @@
       this.listView.Name = "listView";
       this.listView.ShowItemToolTips = true;
-      this.listView.Size = new System.Drawing.Size(171, 217);
+      this.listView.Size = new System.Drawing.Size(171, 243);
       this.listView.SmallImageList = this.imageList;
       this.listView.Sorting = System.Windows.Forms.SortOrder.Ascending;
@@ -163,5 +165,5 @@
       this.detailsGroupBox.Location = new System.Drawing.Point(3, 3);
       this.detailsGroupBox.Name = "detailsGroupBox";
-      this.detailsGroupBox.Size = new System.Drawing.Size(302, 217);
+      this.detailsGroupBox.Size = new System.Drawing.Size(302, 243);
       this.detailsGroupBox.TabIndex = 0;
       this.detailsGroupBox.TabStop = false;
@@ -175,9 +177,11 @@
       this.viewHost.Caption = "View";
       this.viewHost.Content = null;
+      this.viewHost.Enabled = false;
       this.viewHost.Location = new System.Drawing.Point(6, 19);
       this.viewHost.Name = "viewHost";
       this.viewHost.ReadOnly = true;
-      this.viewHost.Size = new System.Drawing.Size(290, 192);
+      this.viewHost.Size = new System.Drawing.Size(290, 218);
       this.viewHost.TabIndex = 0;
+      this.viewHost.ViewsLabelVisible = true;
       this.viewHost.ViewType = null;
       // 
@@ -189,5 +193,5 @@
       this.showAlgorithmButton.Name = "showAlgorithmButton";
       this.showAlgorithmButton.Size = new System.Drawing.Size(495, 23);
-      this.showAlgorithmButton.TabIndex = 9;
+      this.showAlgorithmButton.TabIndex = 8;
       this.showAlgorithmButton.Text = "&Show Algorithm";
       this.toolTip.SetToolTip(this.showAlgorithmButton, "Show the algorithm which produced these results");
@@ -199,8 +203,8 @@
       this.changeColorButton.Enabled = false;
       this.changeColorButton.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
-      this.changeColorButton.Location = new System.Drawing.Point(94, 52);
+      this.changeColorButton.Location = new System.Drawing.Point(78, 26);
       this.changeColorButton.Name = "changeColorButton";
       this.changeColorButton.Size = new System.Drawing.Size(64, 24);
-      this.changeColorButton.TabIndex = 6;
+      this.changeColorButton.TabIndex = 5;
       this.changeColorButton.Text = "&Change...";
       this.changeColorButton.UseVisualStyleBackColor = true;
@@ -210,8 +214,8 @@
       // 
       this.colorLabel.AutoSize = true;
-      this.colorLabel.Location = new System.Drawing.Point(3, 58);
+      this.colorLabel.Location = new System.Drawing.Point(3, 32);
       this.colorLabel.Name = "colorLabel";
       this.colorLabel.Size = new System.Drawing.Size(34, 13);
-      this.colorLabel.TabIndex = 4;
+      this.colorLabel.TabIndex = 3;
       this.colorLabel.Text = "C&olor:";
       // 
@@ -223,5 +227,5 @@
       this.showDetailsCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
       this.showDetailsCheckBox.Image = HeuristicLab.Common.Resources.VSImageLibrary.Properties;
-      this.showDetailsCheckBox.Location = new System.Drawing.Point(471, 52);
+      this.showDetailsCheckBox.Location = new System.Drawing.Point(471, 26);
       this.showDetailsCheckBox.Name = "showDetailsCheckBox";
       this.showDetailsCheckBox.Size = new System.Drawing.Size(24, 24);
@@ -235,8 +239,8 @@
       this.colorArea.BackColor = System.Drawing.Color.White;
       this.colorArea.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
-      this.colorArea.Location = new System.Drawing.Point(72, 56);
+      this.colorArea.Location = new System.Drawing.Point(56, 31);
       this.colorArea.Name = "colorArea";
       this.colorArea.Size = new System.Drawing.Size(16, 16);
-      this.colorArea.TabIndex = 5;
+      this.colorArea.TabIndex = 4;
       // 
       // RunView
@@ -252,8 +256,7 @@
       this.Name = "RunView";
       this.Size = new System.Drawing.Size(495, 353);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
       this.Controls.SetChildIndex(this.showAlgorithmButton, 0);
       this.Controls.SetChildIndex(this.parametersResultsGroupBox, 0);
-      this.Controls.SetChildIndex(this.descriptionLabel, 0);
-      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
       this.Controls.SetChildIndex(this.nameTextBox, 0);
       this.Controls.SetChildIndex(this.nameLabel, 0);
@@ -266,4 +269,5 @@
       this.splitContainer.Panel1.ResumeLayout(false);
       this.splitContainer.Panel2.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).EndInit();
       this.splitContainer.ResumeLayout(false);
       this.detailsGroupBox.ResumeLayout(false);
